Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc
Class CannotGetJdbcConnectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.DataAccessResourceFailureException
                              org.springframework.jdbc.CannotGetJdbcConnectionException

All Implemented Interfaces:
  Serializable

    public class CannotGetJdbcConnectionException

extends DataAccessResourceFailureException

Fatal exception thrown when we can't connect to an RDBMS using JDBC.

Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`CannotGetJdbcConnectionException(String msg, ClassNotFoundException ex)` Constructor for CannotGetJdbcConnectionException.
`CannotGetJdbcConnectionException(String msg, SQLException ex)` Constructor for CannotGetJdbcConnectionException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getCause, getMessage, getMostSpecificCause, getRootCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotGetJdbcConnectionException

    public CannotGetJdbcConnectionException(String msg,
                                            SQLException ex)

  Constructor for CannotGetJdbcConnectionException.

  Parameters:
    `msg` - the detail message
    `ex` - SQLException root cause

### CannotGetJdbcConnectionException

    public CannotGetJdbcConnectionException(String msg,
                                            ClassNotFoundException ex)

  Constructor for CannotGetJdbcConnectionException.

  Parameters:
    `msg` - the detail message
    `ex` - ClassNotFoundException root cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.